% Initializations
clear
Ndata = 2000; % number of input data

% kernel parameters
ker = 'gauss';
p1 = 0.2025;

% filter parameters
eta = 6.5e-1; % step size
mu0 = 0.55;   % coherence threshold

% Henon data generation
[v,d,dref] = henonbench(2000);

% filtering process
[e_klms,nb,ind]=klms(v,d,eta,mu0,ker,p1);

% figure
figure(1)
clf
hold on
for i=1:length(ind),
    plot(v(ind(i),1),v(ind(i),2),'*k')
end
for i=2:Ndata,
    plot(dref(i-1)-e_klms(i-1),dref(i)-e_klms(i),'r.',dref(i-1),dref(i),'b'); 
end


figure(2)
clf
semilogy(1:Ndata,e_klms.^2,'r')
hold on
for i=1:length(ind),
    semilogy(ind(i),e_klms(ind(i))^2,'*k')
end
